from sqlalchemy import Boolean, Column, String

from app.db.base_class import BaseClass
from app.db.base import Base


class User(Base, BaseClass):
    """
    User model for authentication and authorization.
    """
    email = Column(String, unique=True, index=True, nullable=False)
    full_name = Column(String, index=True)
    hashed_password = Column(String, nullable=False)
    is_active = Column(Boolean, default=True)
    is_superuser = Column(Boolean, default=False)
    
    # Relationships
    # When we create inventory transactions, we can link them to users
    # transactions = relationship("InventoryTransaction", back_populates="user")